read.shipping_options
Eligible shipping options (price + delivery window) for a cart, or an explicit package, to a destination postal_code.
- Surface:
GET /v1/read/shipping_options· CLIforge read shipping_options· MCP toolread.shipping_options - Auth: public (no actor;
storeresolves the tenant)
Params (JSON Schema)
Section titled “Params (JSON Schema)”{ "properties": { "cart_id": { "minLength": 1, "type": "string" }, "height_cm": { "maximum": 9007199254740991, "minimum": 0, "type": "integer" }, "length_cm": { "maximum": 9007199254740991, "minimum": 0, "type": "integer" }, "postal_code": { "minLength": 1, "type": "string" }, "qty": { "exclusiveMinimum": 0, "maximum": 9007199254740991, "type": "integer" }, "sku_id": { "minLength": 1, "type": "string" }, "store": { "minLength": 1, "type": "string" }, "subtotal": { "maximum": 9007199254740991, "minimum": 0, "type": "integer" }, "weight_grams": { "maximum": 9007199254740991, "minimum": 0, "type": "integer" }, "width_cm": { "maximum": 9007199254740991, "minimum": 0, "type": "integer" } }, "required": [ "store" ], "type": "object"}Result (200)
Section titled “Result (200)”Open (unknown) — this capability does not declare an output schema.
Errors
Section titled “Errors”validation_failed (400) · not_found (404)